Package org.eclipse.wst.xsl.ui.internal.quickassist

## org.eclipse.wst.xsl.ui.internal.quickassist
Class ValidationQuickAssist

    public class ValidationQuickAssist
    extends java.lang.Object

## Constructor Summary

`ValidationQuickAssist()`

## Method Summary

`public boolean` | `canAssist(IQuickAssistInvocationContext invocationContext)`
`public boolean` | `canFix(Annotation annotation)`
`public ICompletionProposal[]` | `computeQuickAssistProposals(IQuickAssistInvocationContext invocationContext)`
`public java.lang.String` | `getErrorMessage()`

## Constructor Detail

## ValidationQuickAssist

`public ValidationQuickAssist()`

## Methods Detail

## canAssist

`public boolean canAssist(IQuickAssistInvocationContext invocationContext)`

### Parameters

`invocationContext`

### Returns

`boolean`

## canFix

`public boolean canFix(Annotation annotation)`

### Parameters

`annotation`

### Returns

`boolean`

## computeQuickAssistProposals

`public ICompletionProposal[] computeQuickAssistProposals(IQuickAssistInvocationContext invocationContext)`

### Parameters

`invocationContext`

### Returns

`ICompletionProposal[]`

## getErrorMessage

`public java.lang.String getErrorMessage()`

### Returns

`java.lang.String`